<?php 
if ( ! defined( 'ABSPATH' ) ) exit;

$page_url =  admin_url( 'admin.php?page=dtt_task_intro' );
$currentPageUrl =  admin_url( 'admin.php?page=dtt_plugin_details' );

$wpsValue = $dttTaskFunObj->wpDefaultValues();
$wpTaskLogo = $dttTaskFunObj->getSiteLogo();//get logo image from client wp

$verifyCode = ['','','',''];
if(( sanitize_text_field(isset( $_REQUEST['d'] )) )){
	$vCode = base64_decode($_REQUEST['d']);
	$verifyCode = str_split(substr($vCode, 5,4));
}

//When you do not get any email for verfiy your email then 
if(( sanitize_text_field(isset( $_REQUEST['forgotcode'] )) )){
	$dttTaskFunObj->deleteOption(DTT_PLUGIN_EMAIL_VERIFY_CODE);
	header('location:'.$currentPageUrl);
	exit;
}
$notVerify = false;
//At initial stage we get plugin detail that is exist on APP or primary email exist or not
if(!get_option(DTT_PLUGIN_INIT,false)){
	$dttTaskFunObj->addOption(DTT_PLUGIN_INIT,'1');
	$curlUrl = $dttTaskFunObj->webServiceUrl("users/get_plugin_data");
	$aPostData = array("email" => $wpsValue['admin_email'],"domain"=>home_url(),"domain_logo" => $wpTaskLogo,"first_name" =>$wpsValue['admin_fname'],"last_name" =>$wpsValue['admin_lname']);

	$dttTaskFunObj->__defaultMethod = "POST";
	$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlUrl,$aPostData,['AccessToken'=>$wpsValue['admin_token']]);
	$response = json_decode($aResponse,true);
	
	if(isset($response['data']) && !empty($response['data'])){
		$dttTaskFunObj->addOption(DTT_ACTIVATION_ERROR_DATA,$response['data']);
	}
	if(isset($response['error_type'])){
		$dttTaskFunObj->addOption(DTT_ACTIVATION_ERROR_TYPE, trim($response['error_type']));
	}
	$notVerify = isset($response['notVerify'])?$response['notVerify']:false;
	$version = !empty($response['plugin_minimum_version'])?$response['plugin_minimum_version']:DTT_VERSION;
	$dttTaskFunObj->addOption(DTT_PLUGIN_MINIMUM_VERSION,$version);
	if ($version > DTT_VERSION) {
		if (FALSE === get_option(DTT_PLUGIN_UPGRADE) && FALSE === update_option(DTT_PLUGIN_UPGRADE,FALSE)){
			add_option(DTT_PLUGIN_UPGRADE, true);
			header('location:'.admin_url( 'admin.php?page=dtt_plugin_upgrade&version='.$version ));
			exit;
		}
	}else{
		if(get_option(DTT_PLUGIN_UPGRADE, false)){
			$dttTaskFunObj->deleteOption([DTT_PLUGIN_UPGRADE]);
		}
	}	

	if(isset($response['user']) && !empty($response['user'])){
		$dttTaskFunObj->deleteOption([DTT_DO_INSTALLATION,DTT_ACTIVATION_ERROR_TYPE,DTT_ACTIVATION_ERROR_DATA,DTT_PLUGIN_INIT,DTT_PLUGIN_PRIMARY_EMAIL]);
		$dttTaskFunObj->addOption(DTT_PLUGIN_PRIMARY_EMAIL,$wpsValue['admin_email']);
		$dttTaskFunObj->addOption(DTT_PLUGIN_ACTIVATE,true);
		if(isset($response['user']['access_token']))
			update_user_meta(get_current_user_id(), "admin_token", $response['user']['access_token']);

		if(isset($response['user']['access_token']))
			$dttTaskFunObj->addOption(DTT_TOKEN,$response['token']);

		$option = get_option(DTT_SETTING);
		if(empty($option)){
			$option = [];
		}
		//$paypal = [];
		if(isset($response['user']['wp_settings'])){
			if(isset($response['user']['wp_settings']['paypal'])){
				update_option(DTT_PAYPAL,$response['user']['wp_settings']['paypal']);
				unset($response['user']['wp_settings']['paypal']);
			}
			$aVals = $response['user']['wp_settings'];
			$option = array_merge($option,$aVals);
		}
		if(!isset($option['default_team'])){
			$option['default_team'] = $response['default_team'];
		}
		if(!empty($option)){
			update_option(DTT_SETTING,$option);
		}
		header('location:'.$page_url);
		exit;
	}
}

//get admin email
$aEmail = ['option_email'=>$wpsValue['admin_email'],'user_email'=>$wpsValue['user_email']];
$currentDomain = preg_replace( '/^(?:www.)?(.*)/', "$1",preg_replace( '/^(?:http:\/\/)|(?:https:\/\/)?(.*)/', "$1", rtrim(home_url(),'/')));

$previousSelected = [];
//Parse Error Data 
$pluginActivation = [];
if(get_option(DTT_ACTIVATION_ERROR_DATA)){
	$pluginActivation = get_option(DTT_ACTIVATION_ERROR_DATA);
	if(!empty($pluginActivation)){
		$aEmail['exist_email'] = $pluginActivation['email'] = explode(',', $pluginActivation['email']);
		$pluginActivation['domain'] = explode(',', $pluginActivation['domain']);
		$pluginActivation['none'] = explode(',', $pluginActivation['none']);
		$pluginActivation['data'] = array_combine($pluginActivation['email'],array_map(function($v){return preg_replace('/^(?:www.)?(.*)/',"$1", preg_replace( '/^(?:http:\/\/)|(?:https:\/\/)?(.*)/', "$1", rtrim($v,'/')));},$pluginActivation['domain']));
		$emailAssociate = array_search($currentDomain,$pluginActivation['data']);
		if(!empty($emailAssociate) && !in_array($emailAssociate,$aEmail)){
			$aEmail['exist_email'] = $emailAssociate;
		}
	}
}

//Verify Code form submit then code will execute
if(( sanitize_text_field(isset( $_POST['code'] )) )){
	$aCode = implode('',array_map('sanitize_text_field',$_POST['code']));
	if(strlen(trim($aCode))==4){
		$curlUrl = $dttTaskFunObj->webServiceUrl("users/plugin_activate_code");
		
		$aPostData = array("domain_logo" => $wpTaskLogo,"email" => get_option(DTT_PLUGIN_PRIMARY_EMAIL),"domain"=>home_url(),'code'=>$aCode);

		$dttTaskFunObj->__defaultMethod = "POST";
		$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlUrl,$aPostData,['AccessToken'=>$wpsValue['admin_token']]);
		$response = json_decode($aResponse,true);

		if(trim($response['code']) == 0){ 
			$dttTaskFunObj->setMsgs('error',__((empty($response['message'])?'There is a problem in youre request.':$response['message']),DTT_TEXT_DOMAIN));
		}else{
			
			$dttTaskFunObj->deleteOption([DTT_PLUGIN_EMAIL_VERIFY_CODE,DTT_DO_INSTALLATION,DTT_ACTIVATION_ERROR_TYPE,DTT_ACTIVATION_ERROR_DATA,DTT_PLUGIN_INIT]);
			$dttTaskFunObj->addOption(DTT_PLUGIN_ACTIVATE,true);
			//add_option(DTT_PLUGIN_PRIMARY_EMAIL,$email);
			if(isset($response['user']['access_token']))
				update_user_meta(get_current_user_id(), "admin_token", $response['user']['access_token']);

			if(isset($response['token']))
				$dttTaskFunObj->addOption(DTT_TOKEN,$response['token']);

			$option = get_option(DTT_SETTING);
			if(empty($option)){
				$option = [];
			}
			//$paypal = [];
			if(isset($response['user']['wp_settings'])){
				if(isset($response['user']['wp_settings']['paypal'])){
					update_option(DTT_PAYPAL,$response['user']['wp_settings']['paypal']);
					unset($response['user']['wp_settings']['paypal']);
				}
				$aVals = $response['user']['wp_settings'];
				$option = array_merge($option,$aVals);
			}
			if(!isset($option['default_team'])){
				$option['default_team'] = $response['default_team'];
			}
			if(!empty($option)){
				update_option(DTT_SETTING,$option);
			}
			header('location:'.$page_url);
			exit;
		}

	}else{
		$dttTaskFunObj->setMsgs('error',__('Please enter 4-digit verification code.',DTT_TEXT_DOMAIN));
	}
}elseif(( sanitize_text_field(isset( $_POST['dtt_nonce_field'] ))  && wp_verify_nonce( sanitize_text_field($_POST['dtt_nonce_field']), 'dtt_nonce_action' ) )){
	//Code will execute when we add email address for plugin 
	$emailType = sanitize_text_field($_POST['user_email']);
	$error = 0;
	switch ($emailType) {
		case 'external':
			$email = sanitize_text_field($_POST['email_txt']);
			if(!filter_var($email, FILTER_VALIDATE_EMAIL) || strpos($_POST['email_txt'], '*') !== false){
				$error = 1;
			}
			break;
		default:
			$email = sanitize_text_field($aEmail[$emailType]);
			break;
	}
	$previousSelected['option'] = $emailType;
	$previousSelected['email'] = $email;
	if($error==1){
		$dttTaskFunObj->setMsgs('error',__('Please Enter valid email-address.',DTT_TEXT_DOMAIN));

	}else{		
		$curlUrl = $dttTaskFunObj->webServiceUrl("users/plugin_activate");
		
		$dttTaskFunObj->deleteOption(DTT_PLUGIN_PRIMARY_EMAIL);
		$dttTaskFunObj->addOption(DTT_PLUGIN_PRIMARY_EMAIL,$email);
		$aPostData = array("domain_logo" => $wpTaskLogo,"email" => $email,"first_name" =>$wpsValue['admin_fname'],"last_name" =>$wpsValue['admin_lname'],"domain"=>home_url(),'redirect'=>admin_url( 'admin.php?page=dtt_plugin_details&d=' ));
		
		$dttTaskFunObj->__defaultMethod = "POST";
		$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlUrl,$aPostData,['AccessToken'=>$wpsValue['admin_token']]);
		
		$response = json_decode($aResponse,true);
		
		if($response['code'] == 0){ 
			//if(in_array($email,))
			if(isset($response['error_type']) && isset($response['data']) && !empty($response['data'])){
				$dttTaskFunObj->deleteOption([DTT_ACTIVATION_ERROR_TYPE,DTT_ACTIVATION_ERROR_DATA]);
				$dttTaskFunObj->addOption([DTT_ACTIVATION_ERROR_TYPE=>trim($response['error_type']),DTT_ACTIVATION_ERROR_DATA=>$response['data']]);
			}
			if(isset($response['none'])){
				$errorPlugin = get_option(DTT_ACTIVATION_ERROR_DATA);
				$errorPlugin['none'] .= (empty($errorPlugin['none'])?'':',').$response['none'];
				$dttTaskFunObj->deleteOption(DTT_ACTIVATION_ERROR_DATA);
				$dttTaskFunObj->addOption(DTT_ACTIVATION_ERROR_DATA,$errorPlugin);
				$pluginActivation['none'][] = $response['none'];
			}
			$dttTaskFunObj->setMsgs('error',__((empty($response['message'])?'There is a problem in your request, please try again.':$response['message']),DTT_TEXT_DOMAIN));
			
		}else{
			
			if(isset($response['verify_code'])){ 
				$dttTaskFunObj->addOption(DTT_PLUGIN_EMAIL_VERIFY_CODE,'1');
				header('location:'.$currentPageUrl);
				exit;
			}else{
				$dttTaskFunObj->deleteOption([DTT_DO_INSTALLATION,DTT_ACTIVATION_ERROR_TYPE,DTT_ACTIVATION_ERROR_DATA,DTT_PLUGIN_INIT]);
				$dttTaskFunObj->addOption(DTT_PLUGIN_ACTIVATE,true);
				if(isset($response['user']['access_token']))
					update_user_meta(get_current_user_id(), "admin_token", $response['user']['access_token']);

				if(isset($response['token']))
					$dttTaskFunObj->addOption(DTT_TOKEN,$response['token']);

				$option = get_option(DTT_SETTING);
				if(empty($option)){
					$option = [];
				}
				//$paypal = [];
				if(isset($response['user']['wp_settings'])){
					if(isset($response['user']['wp_settings']['paypal'])){
						update_option(DTT_PAYPAL,$response['user']['wp_settings']['paypal']);
						unset($response['user']['wp_settings']['paypal']);
					}
					$aVals = $response['user']['wp_settings'];
					$option = array_merge($option,$aVals);
				}
				if(!isset($option['default_team'])){
					$option['default_team'] = $response['default_team'];
				}
				if(!empty($option)){
					update_option(DTT_SETTING,$option);
				}
				header('location:'.$page_url);
				exit;
			}
		}
	}
}

?>
<div class="wpsContent wps_no_padding padding-20">
	<div class="wps_task_details">
        <div class="wps_invoice" style="text-align: left;height: 20px">
        	<?php //echo __( $aParams['title'] ,DTT_TEXT_DOMAIN ) ?>
        </div>
    </div>
<h1></h1>
<?= $dttTaskFunObj->getMsgs(); ?>
<div class="wpsSettings">
	
	<div class="pull-left tab-container" style="border-left: none;">
		<div class="tab-control appSetting">
			<?php if(!get_option(DTT_PLUGIN_EMAIL_VERIFY_CODE,false)):?>
			<h4><?= __("DoThatTask will use your email to send you tasks updates, new community suggestions for your site and more, please provide a valid email address and validate that.",DTT_TEXT_DOMAIN);?></h4>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" class="dtt_plugin_activate">
				<?php wp_nonce_field( 'dtt_nonce_action', 'dtt_nonce_field' ); ?>
					<table class="form-table subscription-email">
						<tbody>	
							<tr>
								<th scope="row" class="title" colspan="3"><? /*= __("Set Your Email address",DTT_TEXT_DOMAIN);*/ ?></th>
							</tr>
							<tr>
								<th scope="row" colspan="3">
									<input type="radio" name="user_email" id="option_email" value="option_email" class="mr-1 disableText" 
									<?php echo !empty($previousSelected) && $previousSelected['option']=='option_email'?'checked="checked"':(!empty($pluginActivation) && $pluginActivation['none']!=$aEmail['option_email'] && $aEmail['option_email']==array_search($currentDomain,$pluginActivation['data'])?'checked="checked"':'');?>
									<?php echo (!empty($pluginActivation['none']) && in_array($aEmail['option_email'],$pluginActivation['none'])?'disabled="disabled"':'')?> > 
									<label for="option_email" class=""> <?php echo $aEmail['option_email'];?> </label> <span style="color: #999;font-size: 12px;">
										<?php echo (!empty($pluginActivation['none']) && in_array($aEmail['option_email'],$pluginActivation['none'])?'('.__('This email is registered on APP.').')':''); ?>
										<?php echo !$notVerify && ((!empty($previousSelected) && $previousSelected['option']=='option_email') || (!empty($pluginActivation) && $pluginActivation['none']!=$aEmail['option_email'] && $aEmail['option_email']==array_search($currentDomain,$pluginActivation['data']))) && (empty($pluginActivation['none']) || (!empty($pluginActivation['none']) && !in_array($aEmail['option_email'],$pluginActivation['none'])))?'('.__('This email is associated with the domain').')':'';?>
									</span><br/><br/>
									<?php if($aEmail['user_email']!=$aEmail['option_email']):?>
										<input type="radio" name="user_email" id="user_email" value="user_email" class="mr-1 disableText" 
										<?php echo !empty($previousSelected) && $previousSelected['option']=='user_email'?'checked="checked"':(!empty($pluginActivation) && $pluginActivation['none']!=$aEmail['user_email'] && $aEmail['user_email']==array_search($currentDomain,$pluginActivation['data'])?'checked="checked"':'');?> <?php echo !empty($pluginActivation['none']) && in_array($aEmail['user_email'],$pluginActivation['none'])?'disabled="disabled"':''?>>  
										<label for="user_email"><?php echo $aEmail['user_email'];?></label>  <span style="color: #999;font-size: 12px;"><?php echo (!empty($pluginActivation['none']) && in_array($aEmail['user_email'],$pluginActivation['none'])?'('.__('This email is registered on APP').')':'');?><?php echo !$notVerify && ((!empty($previousSelected) && $previousSelected['option']=='user_email') || (!empty($pluginActivation) && $pluginActivation['none']!=$aEmail['user_email'] && $aEmail['user_email']==array_search($currentDomain,$pluginActivation['data']))) && (empty($pluginActivation['none']) || (!empty($pluginActivation['none']) && !in_array($aEmail['user_email'],$pluginActivation['none'])))?'('.__('This email is associated with the domain').')':'';?>
										</span><br/><br/>
									<?php endif;?>
									<?php if(isset($aEmail['exist_email']) && !empty($aEmail['exist_email']) && !is_array($aEmail['exist_email'])):?>
										<input type="radio" name="user_email" id="exist_email" value="exist_email" class="mr-1 disableText" 
										<?php echo !empty($previousSelected) && $previousSelected['option']=='exist_email'?'checked="checked"':(!empty($pluginActivation) && $pluginActivation['none']!=$aEmail['exist_email'] && $aEmail['exist_email']==array_search($currentDomain,$pluginActivation['data'])?'checked="checked"':'');?>>  
										<label for="exist_email"><?php echo substr($aEmail['exist_email'], 0,1).'******'.substr(strstr($aEmail['exist_email'],'@',true),-1).strstr($aEmail['exist_email'],'@');?></label>  <span style="color: #999;font-size: 12px;"><?php echo '('.__('This email is associated with the domain').')';?></span><br/><br/>
									<?php endif;?>
									<div class="r-input" >
										<input type="radio" name="user_email" id="external_email" class="mr-1 enableText" value="external" 
										<?php echo !empty($previousSelected) && $previousSelected['option']=='external'?'checked="checked"':'';?> >
										<label for="external_email" class=""><?= __("Or choose other.",DTT_TEXT_DOMAIN); ?></label>
										<br><br>
										<input type="email" name="email_txt" class="form-control wpsInputText" id="plugin_client_email" 
										<?php echo (!empty($previousSelected) && $previousSelected['option']=='external'?'value="'.$previousSelected['email'].'"':' disabled="disabled" readonly="readonly" ')?>>
									</div>
									
								</th>
							</tr>
						</tbody>
					</table>
					<hr/>
						
			<p class="submit"><input type="submit" value="<?php echo __( 'Save Changes', DTT_TEXT_DOMAIN ) ?>" class="button button-primary" id="submit" name="submit"></p>
			</form>

			<?php else:?>
			
			<h4><?= __("Please enter the 4-digit verification code we sent via EMAIL:",DTT_TEXT_DOMAIN).'('.get_option(DTT_PLUGIN_PRIMARY_EMAIL).')';?></h4>
			<span><?= __("(We want to make sure it's you)",DTT_TEXT_DOMAIN);?></span>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" class="email_verify">
				<div id="form">
					<?php foreach($verifyCode as $code):?><input type="text" name="code[]" value="<?php echo $code;?>" class="verify-code" maxlength="1" size="1" min="0" max="9" pattern="[0-9]{1}"><?php endforeach;?>
					<button class="btn btn-primary btn-embossed">Verify</button>
				</div>
				<hr/>
				<div>
			      <?= __("Didn't receive the code?",DTT_TEXT_DOMAIN);?>
			      <!-- <a href="#"><?= __("Send code again",DTT_TEXT_DOMAIN);?></a><br /> -->
			      <a href="<?= $currentPageUrl.'&forgotcode=1';?>"><?= __("Try Again",DTT_TEXT_DOMAIN);?></a>
			    </div>
			</form>
			<?php endif;?>
		</div>
	</div>
</div>
</div>