<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>
<?php
$wpVals = $dttTaskFunObj->wpDefaultValues();
$page_url =  admin_url( 'admin.php?page=dtt_task_manager_transactions' );
$dttTaskFunObj->__defaultMethod = "GET";
$curlViewUrl = $dttTaskFunObj->webServiceUrl("transactions/".$wpVals['admin_email']);
$params = '';
if(sanitize_text_field(isset($_REQUEST['start'])) && sanitize_text_field(isset($_REQUEST['end'])) && sanitize_key($_REQUEST['start']) && sanitize_key($_REQUEST['end'])){
	$selectedDate = ['start'=>sanitize_key($_REQUEST['start']),'end'=>sanitize_key($_REQUEST['end'])];
	$params = '?start='.$selectedDate['start'].'&end='.$selectedDate['end'];
}
$transaction_type = 'all';
if(sanitize_text_field(isset($_REQUEST['type'])) && sanitize_key($_REQUEST['type'])){
	$transaction_type = sanitize_key($_REQUEST['type']);
	$params .= (empty($params)?'?':'&').'type='.$transaction_type;
}

$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl.$params);
$aJson = json_decode($aResponse);

$aRows = [];
$balance = 0;
$aBalance = [];
$aTransactionType = [];
$currency = '';
if(!empty($aJson)){
	$aRows     	= $aJson->data;
	$balance 	= $aJson->balance;
	$aBalance 	= $aJson->amountData;
	$currency 	= $aJson->currency;
	$aTransactionType = $aJson->aType;
}
?>
<div class="wsp-transaction wpsContent wps_no_padding padding-20">
	<?php //echo file_get_contents('http://localhost:8000/api/template?temp=transaction');?>
    <?php /*div id="wps_main">
   		<div id="wps_a2"><?= __("Balance",DTT_TEXT_DOMAIN );?>: $<?= number_format($balance,2)?></div>
	</div*/ ?>
   <div class="wps_details_acc">
   <span class="wps_task_acc"><?= __("Transaction History",DTT_TEXT_DOMAIN );?></span>
	<div class="wps_back_acc">
		<a href="<?= admin_url( 'admin.php?page=dtt_task_manager_view_task' );?>">
                	<img src="<?= DTT_API_URL.( 'images/back_icon.png' );?>" alt="BackIcon"> <?= __("Back to Task List",DTT_TEXT_DOMAIN );?>
                </a>
                </div>
    </div> 
   
<?php //if($aRows) { ?><br> 
    <form action="<?= $page_url;?>" class="row" method="GET" id="transaction_filter">
		<div class="wps_trans col-md-9">
		    <div class="wps_cal d-inline-block">
		        <!--May,16 2018 - June,15 2018-->        
				<!-- <input type="date" name="date" class="date-form" id="tran_date"> -->  	
				<div id="reportrange" class="date-form">
				    <i class="fa fa-calendar pull-right"></i>&nbsp;
				    <span></span> 
				    <input class="formData" type="hidden" name="rangeDate" id="rangeDate" value="<?= (!empty($selectedDate)?date("m/d/Y",strtotime($selectedDate['start'])).' - '.date("m/d/Y",strtotime($selectedDate['end'])):'');?>">
				</div>	
		  	</div>
	  
	        <div class="wps_transaction d-inline-block">
			  	<select class="formData select2" style="width:200px;" name="type"  placeholder="<?= __("Transaction Type",DTT_TEXT_DOMAIN);?>">
			  		<option value="" disabled=""><?= __("Transaction Type",DTT_TEXT_DOMAIN);?></option>
					<option value="all" <?php echo ($transaction_type=='all'?'selected':'');?>><?= __("All Transaction",DTT_TEXT_DOMAIN);?></option>
	        	<?php if(!empty($aTransactionType)):
			  		foreach($aTransactionType as $key=>$option):?>
						<option value="<?php echo $key;?>" <?php echo ($transaction_type==$key?'selected':'');?>><?= __($option,DTT_TEXT_DOMAIN);?></option>
					<?php endforeach;
					endif;?>
				</select>
			</div>
			<div class="wps_img d-inline-block">
				<img src="<?= DTT_API_URL.( 'images/go.jpg' );?>" id="trans-go" alt="go">
    		</div>
    		<?php if(!empty($params)):?>
    		<div class="wps_img d-inline-block">
				<a href="<?php echo $page_url;?>" class="trans_reset"><i class="fa fa-refresh m-auto" aria-hidden="true"></i></a>
    		</div>
    	<?php endif;?>

                </div>
        <div class="col-md-3 align-right" style=""><?= __("Balance",DTT_TEXT_DOMAIN );?>: $<?= number_format($balance,2)?></div>
	</form>
    <div class="clear"></div>
    <br>
    <?php //} ?>
    <br>
	<!-- <table class="widefat wpsTbl" style="border:none;">
		<tbody>
			
		</tbody>
	</table> -->
	<table class="widefat wpsTbl" style="border:none;">
		<thead>
			<tr class="tblWpsHead">
				<th width="10%"><?= __("Date",DTT_TEXT_DOMAIN );?></th>
				<th width="15%"><?= __("Type",DTT_TEXT_DOMAIN );?></th>
				<th width="40%"><?= __("Description",DTT_TEXT_DOMAIN );?></th>
				<th width="15%"><?= __("Amount",DTT_TEXT_DOMAIN );?></th>
				<th width="20%"><?= __("Ref ID",DTT_TEXT_DOMAIN );?></th>

			</tr>
		</thead>
		<?php if($aRows) { ?>
		<tbody>
			<?php foreach($aRows as $aKey => $aRow) { ?>
			<tr>
				<td>
					<?= date("j.n.y",strtotime($aRow->updated_at)); ?>
				</td>
				<td>
					<?php  echo $aTransactionType->{$aRow->type}; ?>
				</td>
				<td>
					<?php if($aRow->type==1):?>
					<a href="<?= admin_url( 'admin.php?page=dtt_task_manager_view_task#task:' ).$aRow->task_id?>">
					<?php  echo "Task-#".$aRow->task_id.' : ';?>
					</a>
					<?php  echo $aRow->task_name; ?>
					<?php elseif($aRow->type==2):
						echo __("Payment Withdrawal",DTT_TEXT_DOMAIN );
					elseif($aRow->type==3):
						echo __("Subscription Amount",DTT_TEXT_DOMAIN );
					else:
						echo __("",DTT_TEXT_DOMAIN );
					endif;?>
				</td>
				<td ><?php echo $currency.number_format(($aRow->amount),2);//number_format(($aRow->estimation*$aRow->rate),2) ?></td>				
				<td><?php echo $aRow->txn; ?></td>	
			</tr>
			<?php }} else { ?>
			<tr><td colspan="6"><?= __("No data found",DTT_TEXT_DOMAIN );?> !!!</td></tr>
			<?php } ?>
		</tbody>
		
	</table>
	<hr>
			<?php if($aBalance) { ?>
		<!--	<div class="wps_total_border">-->
	<div class="wps_statement pull-right">
		<div class="wps_state pull-right">
		    <br>
		    <span class="wps_stmt"><b><?= __("Statement Period",DTT_TEXT_DOMAIN );?></b> 
		    	<?= (!empty($selectedDate)?date("M d, Y",strtotime($selectedDate['start'])):date("M d, Y",strtotime($aBalance->start)))?> <?= __("to",DTT_TEXT_DOMAIN );?> <?= (!empty($selectedDate)?date("M d, Y",strtotime($selectedDate['end'])):date("M d, Y",strtotime($aBalance->end)))?></span>
        </div>
        <br>
          <br>
          <br>
          <br>
          <br>
       <table class="pull-right">
		  <tbody class="wps_total_bal">
		  	 <?php if($transaction_type=='all' || $transaction_type=='1'):?>
		      <tr>
			    <td align="right"><?= __("Opening Balance",DTT_TEXT_DOMAIN );?> </td>
			    <td><?= $currency.(!empty($aBalance) && !empty($aBalance->total_amount)?$aBalance->total_amount:'0.00');?></td>
			  </tr>
			<?php endif;
			if($transaction_type=='all' || $transaction_type=='4'):?>
			  <tr>
			    <td align="right"><?= __("Total Bonus",DTT_TEXT_DOMAIN );?> </td>
			    <td><?= $currency.(!empty($aBalance) && !empty($aBalance->bonus)?$aBalance->bonus:'0.00');?></td>
			  </tr>
			<?php endif;
			if($transaction_type=='all' || $transaction_type=='3'):?>
			  <tr class="wps_total">
			    <td align="right"><?= __("Total Deposit",DTT_TEXT_DOMAIN );?> </td>
			    <td><?= $currency.(!empty($aBalance) && !empty($aBalance->deposit)?$aBalance->deposit:'0.00');?></td>
			  </tr>
			 <?php endif;?>
			</tbody>
		</table>

    </div>
    <div class="clear"></div>
			    <?php  } ?>
			    <hr>
			</div>