<?php /* task Details Components*/ ?>
<template id="details-template">
  <div>
    <div class="wpsContent wps_no_padding padding-20">
        <?php $dttTaskFunObj->__defaultMethod = "GET"; echo $dttTaskFunObj->postUrlUsingCurl(DTT_API_URL.'api/template?temp=details');?>
       <?php //echo file_get_contents('http://localhost:8000/api/template?temp=details');?>
    </div>
    <model-popup v-if="showGrantAccessConfirm" :class="showGrantAccessConfirm?'show':''" @close="showGrantAccessConfirm = false">
        <span slot="close" class="wps-inline-modal-close" @click.prevent="showGrantAccessConfirm = false">&times;</span>
        <h4 slot="header" class="wps-inline-modal-title"><?= __("Revoke Access",DTT_TEXT_DOMAIN)?></h4>
        <div slot="body">
            <div class="wps-form-msg"></div>
            <table class="wpsTaskAddTbl">
                <tr>
                    <td> 
                        <div class="extra-fields">
                            <div class="extra-container">
                                <label>
                                    <?= __("would you like to keep or delete all the actions done by this access",DTT_TEXT_DOMAIN)?>?
                                </label>
                                <div class="clear"></div>
                                </br>
                                <div class="align-middle">
                                    <label>
                                        <input type="radio" name="option" id="keep" value="1" v-model="keepDataOrNot"> <?= __("Keep Data",DTT_TEXT_DOMAIN)?>
                                    </label>
                                    <label>
                                        <input type="radio" name="option" id="delete" value="0" v-model="keepDataOrNot"> <?= __("Delete Data",DTT_TEXT_DOMAIN)?>
                                    </label>
                                </div>
                            </div>
                            <div class="clear"></div>
                        </div>
                    </td>
                </tr>
            </table>            
            <br>
            <div class="modal-body text-center">
                <button class="btn btn-primary" v-on:click.prevent="grantAccessConfirmPopup">Ok</button>
                <button class="btn btn-danger ml-1" @click.prevent="showGrantAccessConfirm = false">Cancel</button>
            </div>
            <div class="clear"></div>
        </div>
    </model-popup>
    <model-popup v-if="showModal" :class="showModal?'show':''" @close="showModal = false">
        <span slot="close" class="wps-inline-modal-close" @click.prevent="showModal = false">&times;</span>
        <h4 slot="header" class="wps-inline-modal-title"><?= __("Move Task Under Estimation",DTT_TEXT_DOMAIN)?></h4>
        <div slot="body">
            <form method="post" id="frmWpsAddTask" v-on:submit.prevent="askEstimation()">
                <div class="wps-form-msg"></div>
                <table>
                    <tr>
                        <td>
                            <table class="wpsTaskAddTbl">
                                <tr>
                                    <td> 
                                        <div class="extra-fields">
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    <?= __("Assign Task to The Team",DTT_TEXT_DOMAIN)?>
                                                </label>
                                                <div class="pull-left align-middle">
                                                    <select2 :options="options" cls="form-control col-md-8" v-model="defaultTeam" placeholder="<?= __("Select Team",DTT_TEXT_DOMAIN);?>">
                                                        <option value="0"><?= __("Select Team",DTT_TEXT_DOMAIN);?></option>
                                                    </select2>
                                                </div>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </td>
                                </tr>
                            </table>                        
                        </td>
                    </tr> 
                </table>            
                <br>
                <p class="wpsSubmitWrapper">
                    <div class="wps_imgSubmit pull-right">
                        <button type="submit" class="wpsSubmitBtn">
                            <img src="<?= DTT_ASSETS.( 'images/right-arrow.png' );?>" alt="arrow"> <?= __("Submit",DTT_TEXT_DOMAIN)?>
                        </button>
                    </div>
                    <div class="clear"></div>
                </p>
                <div class="clear"></div>
            </form>
        </div>
    </model-popup>
    <model-popup v-if="showPayModal" :class="showPayModal?'show':''" @close="hidePayModel">
        <span slot="close" class="wps-inline-modal-close" @click.prevent="hidePayModel">&times;</span>
        <h4 slot="header" class="wps-inline-modal-title"><?= __("Approve Task",DTT_TEXT_DOMAIN)?></h4>
        <div slot="body">
            <form method="post" id="frmWpsAddTask">
                <div class="wps-form-msg"></div>
                <table>
                    <tr>
                        <td>
                            <table class="wpsTaskAddTbl">
                                <tr>
                                    <td width="100%" colspan="2">
                                        <div class="extra-fields"> 
                                            <div class="extra-container">
                                                <label class="pull-left task-name">
                                                    {{ task.name }}
                                                </label>
                                            </div>
                                        </div>
                                        <div class="clear"></div>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="30%">
                                        <div class="extra-fields">
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    <?= __("Task Total",DTT_TEXT_DOMAIN)?>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="clear"></div>
                                    </td>
                                    <td width="30%">
                                        <div class="extra-fields"> 
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    {{ task.price|showPriceFormat(currency) }}
                                                </label>
                                            </div>
                                        </div>
                                        <div class="clear"></div>
                                    </td>
                                </tr>

                                <tr>
                                    <td width="30%"> 
                                        <div class="extra-fields">
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    <?= __("Account Balance",DTT_TEXT_DOMAIN)?>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="clear"></div>
                                    </td>
                                    <td width="30%">
                                        <div class="extra-fields"> 
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    {{ walletBalance|showPriceFormat(currency) }}
                                                </label>
                                            </div>
                                        </div>
                                        <div class="clear"></div>
                                    </td>
                                </tr>

                                <tr>
                                    <td width="30%"> 
                                        <div class="extra-fields">
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    <?= __("Payable",DTT_TEXT_DOMAIN)?>
                                                </label>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </td>
                                    <td> 
                                        <div class="extra-fields">
                                            <div class="extra-container">
                                                <label class="pull-left">
                                                    <span v-if="walletBalance >= task.price">{{currency+'0.00'}}</span>
                                                    <span v-else-if="walletBalance <= 0">{{ (task.price)|showPriceFormat(currency) }}</span>
                                                    <span v-else-if="walletBalance < task.price">{{ (task.price-walletBalance)|showPriceFormat(currency) }}</span>

                                                </label>
                                                <div class="clear"></div>    
                                            </div>
                                            <span class="remaining-amt">
                                                <i v-if="walletBalance >= task.price">({{task.price|showPriceFormat(currency)}} <?= __("will be deducted from your balance ",DTT_TEXT_DOMAIN);?> {{ (walletBalance)|showPriceFormat(currency) }}.)</i>
                                                <i v-else-if="walletBalance <= 0">(<?= __("You don't have sufficient balance to pay from your Wallet.",DTT_TEXT_DOMAIN);?>)</i>
                                                <i v-else-if="walletBalance < task.price">
                                                    ({{ walletBalance|showPriceFormat(currency) }} <?= __("will be deducted from your balance, You have to pay only ",DTT_TEXT_DOMAIN);?> {{(task.price)-walletBalance|showPriceFormat(currency)}}.)</i>
                                            </span>    
                                        </div>                                        
                                    </td>
                                </tr>
                            </table>                        
                        </td>
                    </tr> 
                    <tr>
                        <td>
                            <div class="wps_imgSubmit d-inline-block"  v-if="walletBalance >= task.price">
                                <button type="button" v-on:click.prevent="payWithWallet(itemIndex)" class="wpsSubmitBtn">
                                    <img src="<?= DTT_ASSETS .( 'images/right-arrow.png' );?>" alt="arrow"> <?= __("Pay with Paypal ",DTT_TEXT_DOMAIN);?>{{currency+'0'}}
                                </button>
                            </div>
                            <div class="wps_imgSubmit d-inline-block paypal_btn_wrapper" v-else="">
                                <div class="paypal-btn wpsSubmitBtn">
                                    <a data-balloon-length="large" data-balloon="<?= __( 'Pay to worker so worker can start working on that task', DTT_TEXT_DOMAIN ) ?>" 
                                data-balloon-pos="up" href="javascript:void(0);" class="d-inline-block">
                                        <span class="wps_paypal_icon">
                                            <img src="<?= DTT_ASSETS .( 'images/paypal.png' );?>"> <?= __( 'Pay with Paypal ', DTT_TEXT_DOMAIN ) ?>{{(task.price)-walletBalance|showPriceFormat(currency)}}
                                        </span>
                                     </a>
                                    <paypal-checkout
                                        :amount="$options.filters.priceFormat(task.price-walletBalance)"
                                        :currency="currency_code"
                                        :env="env"
                                        :client="paypal"
                                        :button-style="aStyle"
                                        :experience="experienceOptions"
                                        :items="getPaypalItem(task,walletBalance)"
                                        v-on:payment-authorized="paymentAuthorized"
                                        v-on:payment-completed="paymentCompleted"
                                        v-on:payment-cancelled="paymentCancelled">
                                    </paypal-checkout>

                                </div>
                            </div>
                            <div class="wps_imgSubmit d-inline-block">
                                <a class="wpsSubmitBtn d-inline-block" href="<?= admin_url( 'admin.php?page=dtt_task_manager_settings#app-settings' ) ?>"> 
                                    <img src="<?= DTT_ASSETS .( 'images/right-arrow.png' );?>" alt="arrow"> <?= __("Setup Subscription Plan",DTT_TEXT_DOMAIN)?> 
                                </a>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td scope="row">
                             <table class="wpsTaskAddTbl">
                                <tr>
                                    <td class="pay-content">
                                    <span><b><?= __("Note",DTT_TEXT_DOMAIN)?> :</b></span>
                            <?= __("If your task amount is less then wallet amount in that case , task amount will be deducted from wallet. If your task amount is greater then wallet amount in that case you will have to pay complete task amount from paypal or will postpond later for next billing cycle.",DTT_TEXT_DOMAIN);?>
                                </td>
                            </tr>
                        </table>
                            
                        </td>
                    </tr>
                </table>            
                <br>
                <div class="clear"></div>
            </form>
        </div>
    </model-popup>
  </div>
</template>